Subject: Re: Linux on Memec Virtex II Pro V4P7 Rev. 3

From: Tony Lee <[email-masked]>
Date: Sat, 9 Oct 2004 21:26:37 -0700

On Sat, 9 Oct 2004 20:27:15 +0100, Jon Masters <[email-masked]> wrote:
> On Thu, 7 Oct 2004 19:53:52 -0700, Tony Lee <[email-masked]> wrote:
> 
> > The problem I saw was that I can't turn off the interrupt at all.
> 
> On the Memec board? really?
> 

No, not on Memec,  just on our own HW.    I have the memec board, but
I don't have time to play on that one.   I got to debug the HW one week after
I was hired.    As far as I can tell, our linux for memec board doesn't load
the sysace driver.

> > Once I start one write command, the ISR keep coming in.
> 
> Ouch.

Tell me about it.  It tooks me 3+ days to id this.

> Perhaps. But that's down to your hardware guys to check the error
> output from your synthesis tool to see if this weirdly has happened.
> Our board doesn't have lines hard tied together, if that was the
> notion you were offering.

I tried to synthesize chipscope into into our VP20.  But don't have
much time for it now.  It is less of a priority since the sysace is working 
now for 1.5 months (without ISR).  Also, we use linux as Xilinux dev environment
but the chipscope only work in Windows platform.  Our HW folks
don't have time to touch Windows side of Xilinx tools.  It make it
more difficult to debug SW/HW integration issue.

> 
> > I try turn off the ISR on write with SYSACE register and
> > the ppc interrupt control register.  None of them worked.
> 
> Did you do it as per my patch, or what?

No, where can I find your patch?

> 
> Yes. We come up in 8 seconds to my firmware, and total boot time is
> around 20 seconds, without any effort to make it less. That includes
> cunning DHCP+ZeroConf scripts I wrote.
> 

That's about right,  We don't do DHCP, it comes up a bit faster.

-- 
-Tony
Having a lot of fun with Xilinx Virtex Pro II reconfigurable HW + ppc + Linux